Subject: Re: [PATCH v2] fsl-dma: allow Freescale Elo DMA driver to be compiled as a module

From: Timur Tabi <[email-masked]>
Date: Thu, 25 Sep 2008 14:09:21 -0500

Scott Wood wrote:

>> I chose subsys_initcall() to increase the probability that fsldma is
>> already present when DMA clients are loaded/initialized and register.
> 
> If there's no dependency, why does it matter whether fsldma is already 
> present?

Re-read my explanation, please.  Technically, it doesn't *matter* in that
nothing will break, but so what?  It's nicer if the DMA driver is already
available when the client drivers load, so that they can use the DMA facilities
right away.

-- 
Timur Tabi
Linux kernel developer at Freescale